_G.WolfHUD_Fixer = { mod_path = ModPath }

Hooks:Add("LocalizationManagerPostInit", "WolfHUD_Fixer_loc", function(...)
	LocalizationManager:add_localized_strings({
		["WolfHUD_Fixer_Menu_Title"] = "WolfHUD Fix Tool",
		["WolfHUD_Fixer_Menu_Desc"] = "Unbelievable",
		["WolfHUD_Fixer_Button_Title"] = "CLICK HERE TO FIX YOUR WOLFHUD",
		["WolfHUD_Fixer_Button_Desc"] = "Why are you reading this?",
	})
end)

local wolfhud = BLT.Mods:GetModByName("WolfHUD") or BLT.Mods:GetModByName("Modified WolfHUD")
if wolfhud then
	msg = "Do you wish to proceed into the fixing phase?"
else
	msg = "ERROR: WolfHUD not present on event (access denied)\nWolfHUD Fixer/lua/core.lua at line 69"
end

Hooks:Add("MenuManagerInitialize", "WolfHUD_Fixer_hook_MenuManagerInitialize", function(menu_manager)

	MenuCallbackHandler.nothing = function(self) end
	
	MenuCallbackHandler.VanillaHUDPlus = function(self, item)
		Steam:overlay_activate("url", "https://modworkshop.net/mod/25629")
	end

	MenuCallbackHandler.remover = function(self)
		
		FileIO:Delete("mods/WolfHUD-master")
		FileIO:Delete("mods/WolfHUD-3.3.2")
		FileIO:Delete("mods/WolfHUD-3.3.5")
		FileIO:Delete("mods/Modfied Wolfhud ( Inventory, Preplan, Driving, Profile)")
		
		QuickMenu:new("WolfHUD Uninstalled!","Brain damage evaluation in progress... Output: Sane\n\nDownload VanillaHUD Plus instead",{
			{
				text = "Epic win",
				is_cancel_button = true,
				is_default_button = true,
				callback = MenuCallbackHandler.VanillaHUDPlus
			}
		}, true)
		
	end

	if wolfhud then	
		MenuCallbackHandler.WolfHUD_Fixer_clbk = function(self)	
			QuickMenu:new("Welcome To WolfHUD Fix Tool", msg, {
				{
					text = "Yes",
					callback = function()
						QuickMenu:new("WolfHUD Detected!","Brain damage evaluation in progress...\nYear check... Output: 2021\nWolfHUD sanity check... Output: ERR://\nSevere brain damage detected\nSuggested action - Remove WolfHUD\nAllow and continue?",{
							{
								text = "Yes",
								callback = function()
									QuickMenu:new("","Processing (0%)\nProcessing (33%)\nProcessing (67%)\nProcessing (100%)\n",{
										{
											text = "Next",
											callback = MenuCallbackHandler.remover
										}
									}, true)
								end
							},
							{
								text = "No",
								is_cancel_button = true,
								is_default_button = true
							}
						}, true)
					end
				},
				{
					text = "No",
					is_cancel_button = true,
					is_default_button = true
				}
			}, true)
		end
	else
		MenuCallbackHandler.WolfHUD_Fixer_clbk = function(self)	
			QuickMenu:new("Welcome To WolfHUD Fixer", msg, {{ text = "OK" }}, true)
		end
	end
	
	MenuHelper:LoadFromJsonFile(WolfHUD_Fixer.mod_path.."menu/options.txt", WolfHUD_Fixer)
	
end)